      subroutine check_err(iret)
      integer*4 iret
      include 'netcdf.inc'
      if (iret .ne. NF_NOERR) then
        write(3,*) 'ERROR: NetCDF error: ', nf_strerror(iret)
        stop
      endif
      end
